summaryrefslogtreecommitdiffstats
path: root/bin/list-hosts
diff options
context:
space:
mode:
Diffstat (limited to 'bin/list-hosts')
-rwxr-xr-xbin/list-hosts7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/list-hosts b/bin/list-hosts
new file mode 100755
index 00000000..e25a8ac4
--- /dev/null
+++ b/bin/list-hosts
@@ -0,0 +1,7 @@
+#! /bin/sh
+# list-hosts : lines tinc-host-file
+set -euf
+
+# Precondition: $PWD/hosts is the correct repository :)
+git -C hosts ls-tree --name-only HEAD \
+ | awk '{print ENVIRON["PWD"]"/hosts/"$$0}'